$(document).ready(function() {
  bitren_news_jobinfo_init();
});

function bitren_news_jobinfo_init() {
  var ul = $('#bitren-news-jobinfo');
  var perpage = ul.attr('perpage');
  var items = $('li', ul);
  var i;
  for (i = 0; i < items.length; i++) {
    var page = Math.floor((i/perpage)) + 1;
    $(items[i]).attr('page', page);
  }
  var buttons = '<ul id="bitren-news-jobinfo-buttons">';
  for (i = 1; i <= items.length / perpage; i++) {
    if (i == 1)
        buttons += '<li class="active first"><a href="#">' + i + '</a></li>';
    else
        buttons += '<li><a href="#">' + i + '</a></li>';
    if (i > 1) $('li[page='+i+']').hide();
  }
  buttons += '</ul>';
  if (i > 2) ul.parent().parent().prepend(buttons);

  $('#bitren-news-jobinfo-buttons a').click(function(evt) {
    evt.preventDefault();
    bitren_news_jobinfo_switch_page($(this));
    return false;
  });

  window.setInterval('bitren_news_jobinfo_auto_switch()', 10000);
}

function bitren_news_jobinfo_auto_switch() {
  var oldpage = $('#bitren-news-jobinfo-buttons li.active');
  if (oldpage.next().length > 0)
    bitren_news_jobinfo_switch_page($('a', oldpage.next()));
  else
    bitren_news_jobinfo_switch_page($('#bitren-news-jobinfo-buttons li.first a'));
  return false;
}

function bitren_news_jobinfo_switch_page(page) {
  var oldpage = $('#bitren-news-jobinfo-buttons li.active a').text();

  // switch active button
  $('#bitren-news-jobinfo-buttons li.active').toggleClass('active')
  page.parent().toggleClass('active');

  var height = $('#bitren-news-jobinfo').height();
  $('#bitren-news-jobinfo').height(height);
  $('#bitren-news-jobinfo li[page=' + oldpage + ']').fadeOut('def', function() {
    $('#bitren-news-jobinfo li[page=' + page.text() + ']').fadeIn('def', function() {
      $('#bitren-news-jobinfo').height('auto');
    });
  });
}
